CFWriteStreamRef Struct Reference

## Data Fields

CFRuntimeBase | parent
struct CFWriteStreamImpl | impl
Boolean | open
Boolean | closed
Boolean | failed
CFErrorRef | error
CFOptionFlags | streamEvents
CFWriteStreamClientCallBack | clientCB

## Field Documentation

## parent

CFRuntimeBase CFWriteStreamRef::parent

## impl

struct CFWriteStreamImpl CFWriteStreamRef::impl

## open

Boolean CFWriteStreamRef::open

## closed

Boolean CFWriteStreamRef::closed

## failed

Boolean CFWriteStreamRef::failed

## error

CFErrorRef CFWriteStreamRef::error

## streamEvents

CFOptionFlags CFWriteStreamRef::streamEvents

## clientCB

CFWriteStreamClientCallBack CFWriteStreamRef::clientCB

The documentation for this struct was generated from the following file:

- Headers/CoreFoundation/CFStreamPriv.h